import os
import shutil

DOCKER_COMPOSE_NAME = "Dockerfile"
PATH = '../src/'

paths = []
for r, _, f in os.walk(PATH):
    for filename in f:
        if DOCKER_COMPOSE_NAME == filename:
            paths.append(os.path.normpath(r))

command_args = [{'path': path,
    'name': str(path).split(os.path.normpath('/'))[-1]}
    for path
    in paths]

res_str = []
for command_arg in command_args:
    path = command_arg['path']
    image_name = f"{command_arg['name']}"

    # copy Dockerfile into root dir to have access to modules folder
    shutil.copy2(os.path.join(path, DOCKER_COMPOSE_NAME), './')
    
    # build then remove Dockerfile 
    exit_val = os.system(f"docker image build -t {image_name} .")
    os.remove(DOCKER_COMPOSE_NAME)

    res_str .append (f"### {image_name} built with exit code {exit_val}")

#     os.system(f"docker push {image_name}")

print(f"Found {len(command_args)} images")
for s in res_str:
    print(s)